Package org.h2gis.functions.io.fgb.fileTable

## Class FGBDriver.FGBDriverCursor

- java.lang.Object
- - org.h2gis.functions.io.fgb.fileTable.FGBDriver.FGBDriverCursor

All Implemented Interfaces:
  `org.h2.index.Cursor`

Enclosing class:
  FGBDriver

    public static class FGBDriver.FGBDriverCursor
    extends Object
    implements org.h2.index.Cursor

### Constructor Summary

Constructors
`FGBDriverCursor​(org.wololo.flatgeobuf.PackedRTree.SearchResult searchResult, FGBDriver fgbDriver)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.h2.result.Row` `get()`
`org.h2.result.SearchRow` `getSearchRow()`
`boolean` `next()`
`boolean` `previous()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FGBDriverCursor

    public FGBDriverCursor​(org.wololo.flatgeobuf.PackedRTree.SearchResult searchResult,
                           FGBDriver fgbDriver)

### Method Detail

#### get

    public org.h2.result.Row get()

Specified by:
  `get` in interface `org.h2.index.Cursor`

#### getSearchRow

    public org.h2.result.SearchRow getSearchRow()

Specified by:
  `getSearchRow` in interface `org.h2.index.Cursor`

#### next

    public boolean next()

Specified by:
  `next` in interface `org.h2.index.Cursor`

#### previous

    public boolean previous()

Specified by:
  `previous` in interface `org.h2.index.Cursor`